## org.compiere.report
Class ExportListener

    java.lang.Object
      org.compiere.report.ExportListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

class ExportListener
extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`private JasperReportViewer` `viewer`

Constructor Summary
`ExportListener(JasperReportViewer viewer)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewer

    private JasperReportViewer viewer

Constructor Detail

### ExportListener

    public ExportListener(JasperReportViewer viewer)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`